%global dlrn_nvr hardware-0.23.0-0.20200117084948.59211cc
%global dlrn 1
%define upstream_version 0.23.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

%global common_desc \
Hardware detection and classification utilities. \
Features: \
* detect hardware features of a Linux systems: \
** RAID \
** hard drives \
** IPMI \
** network cards \
** DMI info \
** memory settings \
** processor features \
* filter hardware according to hardware profiles

Name:           python-hardware
Summary:        Hardware detection and classification utilities
Version: 0.23.0
Release: 0.20200117084948.59211cc%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/hardware

Source0: hardware-0.23.0-0.20200117084948.59211cc.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=59211cc68c9923b2348f15ee73f88ab16706e637

BuildArch:      noarch

BuildRequires:  git

%description
%{common_desc}


%package -n python%{pyver}-hardware
Summary:        Hardware detection and classification utilities
%{?python_provide:%python_provide python%{pyver}-hardware}
%if %{pyver} == 3
Obsoletes: python2-hardware < %{version}-%{release}
%endif

BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-six
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-oslo-sphinx
%if %{pyver} == 3
Requires: python%{pyver}-numpy
%else
Requires: numpy
%endif
Requires: python%{pyver}-hardware-detect = %{version}-%{release}
Requires: python%{pyver}-babel
Requires: python%{pyver}-pandas
Requires: python%{pyver}-pbr
Requires: python%{pyver}-six

%description -n python%{pyver}-hardware
%{common_desc}

%package -n python%{pyver}-hardware-detect
Summary:    Hardware detection and classification utilities
%{?python_provide:%python_provide python%{pyver}-hardware-detect}
%if %{pyver} == 3
Obsoletes: python2-hardware-detect < %{version}-%{release}
%endif

Requires: lshw
Requires: smartmontools
Requires: lldpad
Requires: sysbench
Requires: fio
Requires: python%{pyver}-pbr
Requires: python%{pyver}-netaddr
Requires: python%{pyver}-pexpect
Requires: python%{pyver}-ptyprocess
Requires: ethtool
Requires: pciutils

# Handle python2 exception
%if %{pyver} == 2
Requires: python-ipaddr
%endif

%description -n python%{pyver}-hardware-detect
%{common_desc}


%package doc
Summary:    Documentation for Hardware detection and classification utilities
Group:      Documentation

%description doc
Documentation for Hardware detection and classification utilities.

%prep
%autosetup -S git -n hardware-%{upstream_version}
rm -rf *.egg-info

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{pyver_bin}|'

%build
%{pyver_build}
%{pyver_bin} setup.py build_sphinx
rm -rf doc/build/html/.buildinfo

%install
%{pyver_install}

%files -n python%{pyver}-hardware
%license LICENSE
%doc README.rst
%{pyver_sitelib}/hardware/cardiff
%{_bindir}/hardware-cardiff
%{pyver_sitelib}/hardware/test*
%if %{pyver} == 3
%{pyver_sitelib}/hardware/__pycache__
%endif

%files -n python%{pyver}-hardware-detect
%license LICENSE
%doc README.rst
%{_bindir}/hardware-detect
%{pyver_sitelib}/hardware/benchmark
%{pyver_sitelib}/hardware/*.py*
%{pyver_sitelib}/hardware*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.23.0-1
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Merge pull request #122 from dtantsur/netaddr
- Stop using six library
- Drop the dependency on netaddr
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #123 from elfosardo/goodbye-six
- Merge branch 'master' into goodbye-six
- Merge pull request #122 from dtantsur/netaddr
- Stop using six library
- Drop the dependency on netaddr

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #121 from jovial/network-disk
- Skip network drive grouping when network drives not detected

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #119 from elfosardo/no-future
- Merge pull request #118 from elfosardo/use-correct-py-ver
- No need to import print_function anymore
- Use correct python version for tox based on env

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #116 from elfosardo/goodbye-py2
- Stop supporting Python 2.x

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #115 from urosorozel/hpacucli
- Fix hpacucli with python3

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #113 from elfosardo/use-bionic
- Use bionic instead of xenial for travis CI

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #112 from elfosardo/travis-py-all
- Use tox-travis for testing

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #111 from elfosardo/drop-py35
- Drop Python 3.5 in favor of Python 3.8

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #110 from elfosardo/check-reqs
- Enabling docs testing in travis

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #109 from dtantsur/master
- Rename FakeAMD back to AuthenticAMD

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #108 from elfosardo/fix-mem-benchmark
- Merge pull request #106 from elfosardo/use-str-format
- Fix error mem benchmark with Python 3
- Use string format instead of concatenation

* Mon Sep 09 2019 OSP Prod Chain <dev-null@redhat.com> 0.20.0-1
- Update patches
- Merge pull request #103 from elfosardo/enforce-80-char-lines
- Enforce 80 columns line length

* Tue Apr 09 2019 RDO <dev@lists.rdoproject.org> 0.20.0-1
- Update to 0.20.0

